--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: []

comment: 
- !ruby/struct:SM::Flow::P 
  body: Methods added all objects to allow mocking and stubbing on real objects.
- !ruby/struct:SM::Flow::P 
  body: Methods return a Mocha::Expectation which can be further modified by methods on Mocha::Expectation.
constants: []

full_name: Mocha::ObjectMethods
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: __metaclass__
- !ruby/object:RI::MethodSummary 
  name: expects
- !ruby/object:RI::MethodSummary 
  name: mocha_inspect
- !ruby/object:RI::MethodSummary 
  name: stubs
name: ObjectMethods
superclass: 
